[**Flutter ETS API Documentation v1.0.0**](../../../../../README.md)

***

# Class: SystemChromeStyle

Style configuration for system chrome (status bar and navigation bar).

## Constructors

### Constructor

> **new SystemChromeStyle**(`statusBarColor`, `statusBarIconBrightness`, `systemStatusBarContrastEnforced`, `systemNavigationBarColor`, `systemNavigationBarIconBrightness`, `systemNavigationBarDividerColor`, `systemNavigationBarContrastEnforced`): `SystemChromeStyle`

Constructs a new SystemChromeStyle instance.

#### Parameters

##### statusBarColor

`number`

The status bar color

##### statusBarIconBrightness

[`Brightness`](../enumerations/Brightness.md)

The status bar icon brightness

##### systemStatusBarContrastEnforced

`boolean`

Whether status bar contrast is enforced

##### systemNavigationBarColor

`number`

The navigation bar color

##### systemNavigationBarIconBrightness

[`Brightness`](../enumerations/Brightness.md)

The navigation bar icon brightness

##### systemNavigationBarDividerColor

`number`

The navigation bar divider color

##### systemNavigationBarContrastEnforced

`boolean`

Whether navigation bar contrast is enforced

#### Returns

`SystemChromeStyle`

## Properties

### statusBarColor

> `readonly` **statusBarColor**: `number`

The status bar color, or null if not set.

***

### statusBarIconBrightness

> `readonly` **statusBarIconBrightness**: [`Brightness`](../enumerations/Brightness.md)

The status bar icon brightness, or null if not set.

***

### systemNavigationBarColor

> `readonly` **systemNavigationBarColor**: `number`

The navigation bar color, or null if not set.

***

### systemNavigationBarContrastEnforced

> `readonly` **systemNavigationBarContrastEnforced**: `boolean`

Whether navigation bar contrast is enforced, or null if not set.

***

### systemNavigationBarDividerColor

> `readonly` **systemNavigationBarDividerColor**: `number`

The navigation bar divider color, or null if not set.

***

### systemNavigationBarIconBrightness

> `readonly` **systemNavigationBarIconBrightness**: [`Brightness`](../enumerations/Brightness.md)

The navigation bar icon brightness, or null if not set.

***

### systemStatusBarContrastEnforced

> `readonly` **systemStatusBarContrastEnforced**: `boolean`

Whether status bar contrast is enforced, or null if not set.
